Subject: package [email-masked]' has an invalid input: ("_" #<syntax-transformer pkg-config>)

From: Paul Alesius <[email-masked]>
Date: Fri, 25 Aug 2023 09:19:43 +0200

In the source code directory of Guix, when trying to build a package from
gnu/packages/python-xyz.scm, it fails with the following error:

guix build: error:
/storage/src/guix/guix-gnu/guix/build-system/gnu.scm:146:8: package
[email-masked]' has an invalid input: ("_" #<syntax-transformer pkg-config>)

For example:
guix build -L $(pwd) -e "(begin (use-modules (gnu packages python-xyz))
poetry)"
guix build -L $(pwd) -e "(begin (use-modules (gnu packages python-xyz))
python-lsp-server)"

It fails for all packages in python-xyz.scm. But you can build other
packages:
guix build -L $(pwd) -e "(begin (use-modules (gnu packages any-other))
program)"

/ Paul